﻿using ThinkGeo.Core;
using ThinkGeo.UI.Maui;

namespace TestGoogleOnMaui
{
    public partial class MainPage : ContentPage
    {
        private bool _initialized;

        public MainPage()
        {
            InitializeComponent();
        }

        private async void mapView_SizeChanged(object sender, EventArgs e)
        {
            if (_initialized)
                return;

            _initialized = true;
            await loadMap();
        }

        private async Task loadMap()
        {
            mapView.MapUnit = GeographyUnit.Meter;


            // Set the map extent
            mapView.CenterPoint = new RectangleShape(-10786436, 3918518, -10769429, 3906002).GetCenterPoint();
            mapView.MapScale = 72224;
            mapView.MapTools.Add(new ZoomMapTool());

            var layerOverlay = new LayerOverlay();

            string key = "***YOUR GOOGLE KEY***";
            var googleLayer = new ThinkGeo.Core.Async.GoogleMapsLayer(key);

            googleLayer.MapType = GoogleMapsMapType.Hybrid;
            googleLayer.DrawingExceptionMode = DrawingExceptionMode.DrawException;

            layerOverlay.Layers.Add(googleLayer);
            layerOverlay.TileType = TileType.SingleTile;

            mapView.Overlays.Add(layerOverlay);

            await mapView.RefreshAsync();
            ThinkGeoDebugger.LogType = ThinkGeoLogType.WebRequest;
            ThinkGeoDebugger.LogLevel = ThinkGeoLogLevel.All;
        }
    }
}
